WfDocument (gCube Workflow Documents Manager Portlet 2.4.0-SNAPSHOT API)
Date: 2015-11-01

org.gcube.portlets.admin.wfdocviewer.shared

## Class WfDocument

- java.lang.Object
- - org.gcube.portlets.admin.wfdocviewer.shared.WfDocument

- All Implemented Interfaces:
    Serializable

      public class WfDocument
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `currentStatus`
    `String` | `id`
    `String` | `name`
    `org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph` | `workflow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WfDocument()`
    `WfDocument(String id, String name, String status, org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph workflow)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCurrentStatus()`
    `String` | `getId()`
    `String` | `getName()`
    `org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph` | `getWorkflow()`
    `void` | `setCurrentStatus(String status)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setWorkflow(org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph workflow)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          public String id

    - #### name

          public String name

    - #### currentStatus

          public String currentStatus

    - #### workflow

          public org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph workflow

  - ### Constructor Detail

    - #### WfDocument

          public WfDocument()

    - #### WfDocument

          public WfDocument(String id,
                    String name,
                    String status,
                    org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph workflow)

      Parameters:
        `id` - the workflow identifier
        `name` - the workflow name
        `workflow` - workflow represented as an adjacency matrix

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getCurrentStatus

          public String getCurrentStatus()

    - #### setCurrentStatus

          public void setCurrentStatus(String status)

    - #### getWorkflow

          public org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph getWorkflow()

    - #### setWorkflow

          public void setWorkflow(org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph workflow)

Copyright © 2015. All Rights Reserved.